libuv1 (1.51.0-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (lp: #2130129). Remaining changes:
  * d/p/fix-tests-on-ubuntu-s390x.patch: fix s390x FTBFS on Ubuntu by
    increasing timer delays in the idle_starvation and timer_from_check tests.
    (LP #2099827)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 31 Oct 2025 11:39:41 +0100

libuv1 (1.51.0-2) unstable; urgency=medium

  [ Dominique Dumont ]
  * control: add kapouer as uploader, rm lucab

  [ Jérémy Lal ]
  * Release to unstable.
  * patch: disable io_uring on sh4. Closes: #1111616.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 24 Aug 2025 17:48:29 +0200

libuv1 (1.51.0-1) experimental; urgency=medium

  * new upstream version
  * copyright: updated with cme
  * remove fix-arm-bug patch (applied upstream)
  * update symbols file
  * README.source.org: do not eval "gbp dch" instructions

 -- Dominique Dumont <dod@debian.org>  Sat, 09 Aug 2025 18:50:29 +0200

libuv1 (1.50.0-2ubuntu1) plucky; urgency=medium

  * d/p/fix-tests-on-ubuntu-s390x.patch: fix s390x FTBFS on Ubuntu by
    increasing timer delays in the idle_starvation and timer_from_check tests.
    (LP: #2099827)

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 25 Feb 2025 14:09:40 -0300

libuv1 (1.50.0-2) unstable; urgency=medium

  [ Jérémy Lal ]
  * Drop ath_max_zero_st_size patch - fixed upstream

 -- Dominique Dumont <dod@debian.org>  Wed, 05 Feb 2025 11:16:12 +0100

libuv1 (1.50.0-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
  * copyright: update with cme
  * refreshed patches
  * update symbols file
  * control: declare compliance with Debian policy 4.7.0

 -- Dominique Dumont <dod@debian.org>  Mon, 03 Feb 2025 12:06:04 +0100

libuv1 (1.49.2-3) experimental; urgency=medium

  * update fix-thread-priority patch
  * update fix-arm-bug patch header

 -- Dominique Dumont <dod@debian.org>  Wed, 29 Jan 2025 19:07:52 +0100

libuv1 (1.49.2-2) experimental; urgency=medium

  * add fix-arm-bug patch
  * remove unused lintian override

 -- Dominique Dumont <dod@debian.org>  Tue, 28 Jan 2025 19:27:46 +0100

libuv1 (1.49.2-1) experimental; urgency=medium

  [ Dominique Dumont ]
  * new upstream version
  * copyright: update with cme
  * refreshed patches
  * remove hurd patches
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Sat, 18 Jan 2025 18:06:25 +0100

libuv1 (1.48.0-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Move sphinx dependencies to B-D-I. (Closes: 1086732)

 -- Dominique Dumont <dod@debian.org>  Wed, 06 Nov 2024 18:24:35 +0100

libuv1 (1.48.0-6) unstable; urgency=medium

  [ Olivier Valentin ]
  * Upstreamed patches to fix building on the GNU/Hurd

 -- Dominique Dumont <dod@debian.org>  Wed, 04 Sep 2024 17:11:33 +0200

libuv1 (1.48.0-5) unstable; urgency=medium

  * add patch to fix thread-priority test (Closes: 1071194)

 -- Dominique Dumont <dod@debian.org>  Wed, 19 Jun 2024 18:57:50 +0200

libuv1 (1.48.0-4) unstable; urgency=medium

  * control: set Provides to ${t64:Provides} (Closes: #1071034)

 -- Dominique Dumont <dod@debian.org>  Wed, 15 May 2024 17:52:58 +0200

libuv1 (1.48.0-3) unstable; urgency=medium

  * rename libuv1 package to libuv1t64 (Closes: 1070912)

 -- Dominique Dumont <dod@debian.org>  Sun, 12 May 2024 16:33:19 +0200

libuv1 (1.48.0-2) unstable; urgency=medium

  [ Jérémy Lal ]
  * new package libuv1-doc using sphinxdoc. Closes: #1017581.
  * patch: fix privacy-breach-generic in html doc

  [ Dominique Dumont ]
  * add patch to support loong64.
    Thanks to Graham Inggs (Closes: #1069214)

 -- Dominique Dumont <dod@debian.org>  Sun, 05 May 2024 18:20:25 +0200

libuv1 (1.48.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062694

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 21:01:37 +0000

libuv1 (1.48.0-1) unstable; urgency=medium

  [ Dominique Dumont ]
  * new upstream version:
    * Fix CVE-2024-24806 (Closes: #1063484)
  * copyright: update with cme
  * refreshed patches
  * rm patch lp2046442-linux-don-t-use-io_uring-...
  * refreshed symbols file

 -- Dominique Dumont <dod@debian.org>  Wed, 14 Feb 2024 18:47:19 +0100

libuv1 (1.46.0-3) unstable; urgency=medium

  * add patch to fix build on kernel < 5.10.186.
    Thanks to Simon Choppin and Ubuntu fot the patch (Closes: 1058743)

 -- Dominique Dumont <dod@debian.org>  Sat, 30 Dec 2023 18:32:28 +0100

libuv1 (1.46.0-2) unstable; urgency=medium

  * re-release to unstable

 -- Dominique Dumont <dod@debian.org>  Sun, 15 Oct 2023 16:37:48 +0200

libuv1 (1.46.0-1) experimental; urgency=medium

  * new upstream release:
  * control: declare compliance with policy 4.6.2
  * control: drop kfreebsd (dropped upstream)
  * fill-copyright-blanks:
    * specify license of a test file
    * drop removed files
    * specify CC-BY-4.0 license for doc files
  * refreshed copyright with cme
  * install LICENSE-extra file in libuv1-dev.docs
  * refreshed patches
  * update symbols file
  * ship libuv.a instead of libuv_a.a
  * update README.source.org

 -- Dominique Dumont <dod@debian.org>  Tue, 05 Sep 2023 18:34:19 +0200

libuv1 (1.44.2-1) unstable; urgency=medium

  * new upstream version
  * copyright: updated with cme
  * remove pristine-tar from build process
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Thu, 28 Jul 2022 18:35:31 +0200

libuv1 (1.44.1-2) unstable; urgency=medium

  * update symbols file to fix hurd packaging

 -- Dominique Dumont <dod@debian.org>  Wed, 16 Mar 2022 19:16:11 +0100

libuv1 (1.44.1-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refresh patch
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Mar 2022 19:24:56 +0100

libuv1 (1.43.0-1) unstable; urgency=medium

  * new upstream version
  * control:
    * declare compliance with policy 4.6.0
    * remove conflicts on ancient libuv0.10-dev package
  * update copyright with cme
  * do not install cmake files
  * update symbols file
  * README.source.org: add quilt pop -a instruction

 -- Dominique Dumont <dod@debian.org>  Sat, 15 Jan 2022 18:15:17 +0100

libuv1 (1.42.0-1) unstable; urgency=medium

  * new upstream version
  * update fill.copyright.blanks
  * update copyright with cme
  * removed patch for CVE (applied upstream)
  * refresh patch
  * control:
    * declare compliance with policy 4.5.1
    * use debhelper 13
    * set Rules-Requires-Root to no
  * watch: watch github and use v4
  * rules: remove obsolete dbgsym-migration instructions
  * update symbols file
  * converted README.source to org-mode

 -- Dominique Dumont <dod@debian.org>  Sat, 11 Sep 2021 18:50:00 +0200

libuv1 (1.40.0-2) unstable; urgency=medium

  * add patch for CVE-2021-22918 (Closes: #990561)

 -- Dominique Dumont <dod@debian.org>  Sun, 04 Jul 2021 09:43:38 +0200

libuv1 (1.40.0-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refreshed patch
  * update symbol file

 -- Dominique Dumont <dod@debian.org>  Sat, 31 Oct 2020 18:43:46 +0100

libuv1 (1.39.0-1) unstable; urgency=medium

  * new upstream version
  * update copyright with cme
  * refreshed patch
  * update symbol file

 -- Dominique Dumont <dod@debian.org>  Sun, 13 Sep 2020 17:27:18 +0200

libuv1 (1.38.0-3) unstable; urgency=medium

  * rules: increase timeout of time sensitive tests for all arch

 -- Dominique Dumont <dod@debian.org>  Sun, 28 Jun 2020 15:27:10 +0200

libuv1 (1.38.0-2) unstable; urgency=medium

  * use cmake instead of autotools to build libuv.
    As a consequence:
    * control: add cmake build dep
    * archive lib is now libuv_a.a
    * remove all internal symbols from symbol file
    * rules is updated to not run tests in parallel
  * remove autopkgtest (Closes: 961878)

 -- Dominique Dumont <dod@debian.org>  Wed, 10 Jun 2020 19:18:03 +0200

libuv1 (1.38.0-1) unstable; urgency=medium

  * new upstream version
  * fill.copyright.blanks: add override for files under m4/
  * refreshed copyright with cme
  * refreshed patches
  * update symbols
  * rules: increase test timeout for sparc64

 -- Dominique Dumont <dod@debian.org>  Fri, 22 May 2020 18:55:41 +0200

libuv1 (1.35.0-2) unstable; urgency=medium

  * rules: fix increased timeout of time sensitive tests

 -- Dominique Dumont <dod@debian.org>  Thu, 16 Apr 2020 10:49:47 +0200

libuv1 (1.35.0-1) unstable; urgency=medium

  * new upstream version
  * copyright: update with cme
  * remove slow-down-some-tests patch
  * README.source: fix instructions for symbol patch generation
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Wed, 15 Apr 2020 16:29:44 +0200

libuv1 (1.34.2-4) experimental; urgency=medium

  * fix gnumake syntax

 -- Dominique Dumont <dod@debian.org>  Fri, 14 Feb 2020 10:01:00 +0100

libuv1 (1.34.2-3) experimental; urgency=medium

  * rules: slow down tests for hppa and riscv64

 -- Dominique Dumont <dod@debian.org>  Thu, 13 Feb 2020 14:43:56 +0100

libuv1 (1.34.2-2) experimental; urgency=medium

  * add patch to slow test down for slow arches
  * rules: relax timeout on heavy tests

 -- Dominique Dumont <dod@debian.org>  Wed, 12 Feb 2020 18:09:31 +0100

libuv1 (1.34.2-1) unstable; urgency=medium

  * new upstream version
  * add override license instructions for "cme udpate"
  * update copyright file with cme
  * refreshed patches
  * update symbols
  * control: declare compliance with policy 4.5.0

 -- Dominique Dumont <dod@debian.org>  Fri, 07 Feb 2020 14:55:42 +0100

libuv1 (1.33.1-3) unstable; urgency=medium

  * make autopkgtests cross-test-friendly.
    Thanks to Steve Langasek for the heads-up and the patch (Closes: #950294)
  * no longer install libuv.la file

 -- Dominique Dumont <dod@debian.org>  Fri, 31 Jan 2020 15:46:39 +0100

libuv1 (1.33.1-2) unstable; urgency=medium

  * add patch to disable multicast testsuite which break
    Debian builds

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2019 17:49:00 +0100

libuv1 (1.33.1-1) unstable; urgency=medium

  * new upstream version
  * refreshed copyright with cme
  * refreshed patches
  * regenerated symbol file
  * fix symbol regeneration instructions in README.source
  * use new style of debhelper dependency
  * control: comply with policy 4.4.1
  * install libuv.la file in libuv1-dev package

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2019 14:01:26 +0100

libuv1 (1.30.1-1) unstable; urgency=medium

  * new upstream version
  * update symbols file
  * ignore jpg files when scanning copyright
  * updated copyright with cme
  * refreshed patches
  * control: declare compliance with policy 4.4.0
  * control: add libuv1-dev dependency on freebsd-glue [kfreebsd-any].
    Thanks to Sebastian Reichel for the hint (Closes: 921424)

 -- Dominique Dumont <dod@debian.org>  Fri, 26 Jul 2019 11:03:37 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libuv1t64`.
